<GridLayout rows="*, auto" backgroundColor="black">
    <StackLayout margin="30% 2% 2% 2%">
        <Label [text]=questions[num].question textAlignment="center" textWrap="true" class="question" color="white" fontSize="18px"></Label>
    </StackLayout>
    <StackLayout marginTop="70%">      
        <Button text="True" (tap)="onButtonTap(num, true)" color="white" backgroundColor="green" height="200px"></Button>
        <Button text="False" (tap)="onButtonTap(num, false)" color="white" backgroundColor="red" height="200px"></Button>
        <DockLayout>
            <template *ngFor="let result of results">
                <Label text="v" marginRight="1%" dock="left" *ngIf="result === true" color="green" fontSize="22px"></Label>
                <Label text="x" marginRight="1%" dock="left" *ngIf="result === false" color="red" fontSize="22px"></Label>
            </template>
        </DockLayout>
    </StackLayout>
</GridLayout>
    